# Time-stamp: <modified the 11/03/2020 (at 11:46) by Erwan Jahier>

test: test1 test2 lurette0 lurette1 rdbg_test

test1: fig41.cmxs
	$(sasa) -l 5 fig41.dot -sd  -rif

test2: ring.cmxs
	$(sasa) -l 50 ring.dot -rif

sasaopt=-sd

DECO_PATTERN="0-:unison.ml" 
-include ../Makefile.dot

sim2chrogtk: ring.rif
	sim2chrogtk -ecran -in $< > /dev/null

gnuplot: ring.rif
	gnuplot-rif $<

luciole: ring.cmxs
	luciole-rif $(sasa) ring.dot -custd  -rif -ifi


lurette0: ring_oracle.lus
	lurette -o lurette.rif \
      -sut "$(sasa) ring.dot -sd -rif" \
      -oracle "lv6 ring_oracle.lus -n oracle"

# Idem with custom daemon
lurette1: ring.lut ring_oracle.lus
	lurette -o lurette.rif \
      -env "$(sasa) ring.dot -custd -rif" \
      -sut "lutin ring.lut -n synchronous"  \
      -oracle "lv6 ring_oracle.lus -n oracle"

lurette: lurette0 s g

rdbg: ring.ml 
	rdbg -o unison.rif -sut "$(sasa) ring.dot -sd -rif" 

rdbg_test: ring.ml
	echo "\nnr\nsd\n" | rdbg -o unison.rif  \
      -sut "$(sasa) ring.dot -sd -rif" \

-include ../Makefile.inc
-include Makefile.untracked

clean: genclean cleandot
	rm -f ring_oracle.lus fig41.ml ring.ml
